libsigc++: sigc::mem_functor< T_func, T_arg > Class Template Reference

libsigc++ 3.8.0

Public Types | Public Member Functions | Protected Attributes | List of all members
sigc::mem_functor< T_func, T_arg > Class Template Reference

`#include <sigc++/functors/mem_fun.h>`

## Public Types
using | function_type = T_func
using | obj_type_with_modifier
using | object_type = typename internal::member_method_class<T_func>::type

## Public Member Functions
| mem_functor ()
| Constructs an invalid functor.
| mem_functor (function_type func)
| Constructs a mem_functor object that wraps the passed method.
decltype(auto) | operator() (obj_type_with_modifier & obj, type_trait_take_t< T_arg >... a) const
| Execute the wrapped method operating on the passed instance.

## Protected Attributes
function_type | func_ptr_

## Member Typedef Documentation

## ◆ function_type

template <typename T_func, typename... T_arg>

using sigc::mem_functor< T_func, T_arg >::function_type = T_func

## ◆ obj_type_with_modifier

template <typename T_func, typename... T_arg>

using sigc::mem_functor< T_func, T_arg >::obj_type_with_modifier

Initial value:
typename std::
conditional_t<internal::member_method_is_const<T_func>::value, const object_type, object_type>
sigc::bound_mem_functor::object_type
typename base_type::object_type object_type
Definition mem_fun.h:128

## ◆ object_type

template <typename T_func, typename... T_arg>

using sigc::mem_functor< T_func, T_arg >::object_type = typename internal::member_method_class<T_func>::type

## Constructor & Destructor Documentation

## ◆ mem_functor() [1/2]

template <typename T_func, typename... T_arg>

sigc::mem_functor< T_func, T_arg >::mem_functor | ( |  | ) |
| inline

Constructs an invalid functor.

## ◆ mem_functor() [2/2]

template <typename T_func, typename... T_arg>

sigc::mem_functor< T_func, T_arg >::mem_functor | ( | function_type | func | ) |
| inlineexplicit

Constructs a mem_functor object that wraps the passed method.

Parameters

  func | Pointer to method will be invoked from operator()().

## Member Function Documentation

## ◆ operator()()

template <typename T_func, typename... T_arg>

decltype(auto) sigc::mem_functor< T_func, T_arg >::operator() | ( | obj_type_with_modifier & | obj,
|  | type_trait_take_t< T_arg >... | a ) const
| inline

Execute the wrapped method operating on the passed instance.

Parameters

  obj | Reference to instance the method should operate on.
  a | Arguments to be passed on to the method.

Returns
  The return value of the method invocation.

## Member Data Documentation

## ◆ func_ptr_

template <typename T_func, typename... T_arg>

function_type sigc::mem_functor< T_func, T_arg >::func_ptr_
| protected